import makeStyles from "../styles/makeStyles";

var styles = function styles(_ref) {
  var _ref$cleverUI = _ref.cleverUI,
      colors = _ref$cleverUI.colors,
      spaces = _ref$cleverUI.spaces,
      borderRadius = _ref$cleverUI.borderRadius;
  return {
    root: function root(_ref2) {
      var color = _ref2.color;
      return {
        height: "fit-content",
        padding: "".concat(spaces.xs, " ").concat(spaces.sm),
        backgroundColor: colors[color][50],
        boxShadow: "inset 0 0 0 2px ".concat(colors[color][700]),
        borderRadius: borderRadius.full,
        width: "fit-content",
        "& svg": {
          "& path": {
            fill: colors[color][700]
          }
        }
      };
    }
  };
};

export default makeStyles(styles);